import { Injectable, Inject } from '@angular/core';
import { HttpClient, HttpHeaders, HttpErrorResponse } from '@angular/common/http';

import { Observable } from 'rxjs/Observable';

import { Location } from '@angular/common';

import 'rxjs/add/operator/do';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/timeout';
import 'rxjs/add/observable/throw';

import { _REST_BASE_URL } from '../core';
import { RESTClient } from '../client';

@Injectable()
export class RESTService extends RESTClient {

  constructor(
    @Inject(_REST_BASE_URL) _baseURL: string,
    @Inject(HttpClient) _httpClient: HttpClient,
  ) {
    super(_baseURL, _httpClient);
  }
}
