import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AlertPageRoutingModule } from './alert-page-routing.module';
import { AlertPageComponent } from './alert-page.component';

import { PrimeNGModules } from 'packages/commons/prime-ng/prime-ng.module';
import { AlertModule } from 'packages/alert/alert.module';

@NgModule({
  imports: [
    CommonModule,
    AlertPageRoutingModule,
    // NotificationModule,
    PrimeNGModules,
    AlertModule
  ],
  declarations: [
    AlertPageComponent,
  ]
})
export class AlertPageModule { }
