import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
  selector: 'of-pages-probe',
  templateUrl: './probe-page.component.html',
})
export class ProbePageComponent implements OnInit {

  tabs = undefined;

  constructor(private route: ActivatedRoute, private router: Router) {
  }

  ngOnInit() {
    const id = this.router.url.split('probe/')[1].split('/')[0];

    this.tabs = [
      { label: 'INFO', routerLink: ['/probe/', id, 'info'] },
      { label: 'TARGETS', routerLink: ['/probe/', id, 'targets']},
      { label: 'HISTORY', path: ['/probe/', id, 'history'], disabled: true },
    ];
  }

}
