import { NgModule } from '@angular/core';
import { StoreModule } from '@ngrx/store';
import { StoreDevtoolsModule } from '@ngrx/store-devtools';
import {
  StoreRouterConnectingModule,
  RouterStateSerializer,
} from '@ngrx/router-store';
import { EffectsModule } from '@ngrx/effects';
import { combineReducers, ActionReducer, ActionReducerMap, MetaReducer } from '@ngrx/store';

import {
  REDUCERS,
  EFFECTS,
} from './store';

import { MODULE } from './crawler-input.constant';

@NgModule({
  imports: [
    StoreModule.forFeature(MODULE.name, REDUCERS),
    EffectsModule.forFeature(EFFECTS),
  ],
})
export class MetaCrawlerInputItemStoreModule { }
