import { MetaInputType } from 'packages/meta/input-type/model/MetaInputType';
import { MetaCrawler } from 'packages/meta/crawler/model/MetaCrawler';


export interface MetaCrawlerInputItem {
  id?: number;
  inputType?: MetaInputType;
  crawler?: MetaCrawler;
  description?: string;
  name?: string;
  createDate?: Date;
  required?: boolean;
  defaultValue?: string;
  pattern?: string;
  keyName?: string;
  keyValue?: string;
}
