import { MetaProbeVersion } from 'packages/meta/probe-version/model/MetaProbeVersion';
import { MetaProbeOs } from 'packages/meta/probe-os/model/MetaProbeOs';
import { MetaProbeArchitecture } from 'packages/meta/probe-architecture/model/MetaProbeArchitecture';

export interface MetaProbePackage {
  id?: number;
  version: MetaProbeVersion;
  os: MetaProbeOs;
  architecture: MetaProbeArchitecture;
  createDate: Date;
}
