import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { Page } from 'app/commons/model';

export interface State {
  error: RPCClientError | null;
  pending: boolean;
  page: Page;
}

export const initialState: State = {
  error: null,
  pending: false,
  page: null,
};
