import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { COMPONENTS } from './component';
import { SensorItemStoreModule } from './sensor-item-store.module';
import { SERVICES } from './service';
import { PrimeNGModules } from '../commons/prime-ng/prime-ng.module';

@NgModule({
  imports: [
    CommonModule,
    SensorItemStoreModule,
    PrimeNGModules,
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class SensorItemModule { }
