import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { MetaSensorItemKey } from 'packages/meta/sensor-item-key/model/MetaSensorItemKey';


export interface State {
  error: RPCClientError | null;
  pending: boolean;
  list: MetaSensorItemKey[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  list: null,
};
