import { Target } from 'packages/target/model';
import { MetaSensorStatus } from 'packages/meta/sensor-status/model/MetaSensorStatus';
import { MetaCrawler } from 'packages/meta/crawler/model/MetaCrawler';

export interface Sensor {
  id?: number;
  createDate?: Date;
  description?: string;
  status?: MetaSensorStatus;
  target?: Target;
  crawler?: MetaCrawler;
  crawlerInputItems?: string;
  itemCount?: number;
}
