export enum LoggerLevel {
  TRACE = 0,
  DEBUG,
  INFO,
  LOG,
  WARN,
  ERROR,
  OFF,
}

export const LoggerLevelName = [
  'TRACE',
  'DEBUG',
  'INFO',
  'LOG',
  'WARN',
  'ERROR',
  'OFF'
];

export interface ServerLoggingParameter {
  level: string;
  message: string;
  addtional?: string;
  timestamp: Date;
}
