import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Form, FormBuilder, FormGroup, FormGroupDirective, FormControl, NgForm, Validators } from '@angular/forms';

@Component({
  selector: 'of-pages-auth-signup',
  templateUrl: './signup-page.component.html',
})
export class SignupPageComponent implements OnInit {

  signUpForm: FormGroup;
  returnURL: string;

  constructor(
    private router: Router,
    private activatedRoute: ActivatedRoute,
  ) { }

  ngOnInit() {
    this.returnURL = this.activatedRoute.snapshot.queryParams['returnURL'] || '/';
  }

  initForm() {
  }
}
