import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { NotificationPageComponent } from './notification-page.component';
import { NotificationPageRoutingModule } from './notification-page-routing.module';
import { NotificationModule } from 'packages/notification/notification.module';


@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    NotificationPageRoutingModule,
    NotificationModule
  ],
  declarations: [
    NotificationPageComponent,
  ]
})
export class NotificationPageModule { }
