import { NgModule, Inject } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';


// import { InputChipModule } from 'packages/commons/component/input-chip/input-chip.module';

// import { DiscoveryStoreModule } from './discovery-store.module';
// import { DiscoveryRPCModule } from './discovery-rpc.module';
import { AlertLoggerModule } from './alert-logger.module';

import { COMPONENTS } from './component';
// import { SERVICES } from './service';
import { PrimeNGModules } from 'packages/commons/prime-ng/prime-ng.module';

@NgModule({
  imports: [
    CommonModule,
    // InputChipModule,
    FormsModule,
    PrimeNGModules,
    AlertLoggerModule,
  ],
  declarations: [
    COMPONENTS
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    // SERVICES,
  ],
})
export class AlertModule {
}
