import { NgModule, Inject } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';


// import { InputChipModule } from 'packages/commons/component/input-chip/input-chip.module';

import { DiscoveryStoreModule } from './discovery-store.module';
import { DiscoveryRPCModule } from './discovery-rpc.module';
import { DiscoveryLoggerModule } from './discovery-logger.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { PrimeNGModules } from 'packages/commons/prime-ng/prime-ng.module';

@NgModule({
  imports: [
    CommonModule,
    // InputChipModule,
    FormsModule,
    PrimeNGModules,
    DiscoveryStoreModule,
    DiscoveryRPCModule,
    DiscoveryLoggerModule,
  ],
  declarations: [
    COMPONENTS
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ],
})
export class DiscoveryModule {
}
