import { Host } from './Host';
import { PortType } from './PortType';
import { Service } from './Service';

export interface Port {
    id?: number;
    portType: PortType;
    portNumber: number;
    discoveredDate?: Date;
    host: Host;
    target?: boolean;

    services: Map<string, Service> | null;
    serviceList: Service[] | null;
}
