import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { Zone } from '../../model';

export interface State {
  error: RPCClientError | null;
  processing: boolean;
  zones: Map<string, Zone> | null;
}

export const initialState: State = {
  error: null,
  processing: false,
  zones: null,
};

