import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { Infra } from '../../model';

export interface State {
  error: RPCClientError | null;
  isPending: boolean;
  infra: Infra | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  infra: null,
};

