import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { Infra } from '../../model';
import { Page } from 'app/commons/model';

export interface State {
  error: RPCClientError | null;
  isPending: boolean;
  page: Page | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  page: null,
};

