import { RESTClientError } from '@loafer/ng-rest/protocol';

export interface State {
  totp: any;
  secretKey: string;
  keyURI: string;
  error: RESTClientError | null;
  pending: boolean;
}

export const initialState: State = {
  totp: null,
  secretKey: null,
  keyURI: null,
  error: null,
  pending: false,
};
