import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { MetaCrawlerInputItem } from '../../model/MetaCrawlerInputItem';


export interface State {
  error: RPCClientError | null;
  pending: boolean;
  inputs: MetaCrawlerInputItem[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  inputs: null,
};
