import { MetaCrawler } from 'packages/meta/crawler/model/MetaCrawler';
import { MetaSensorItemUnit } from 'packages/meta/sensor-item-unit/model/MetaSensorItemUnit';
import { MetaSensorItemType } from 'packages/meta/sensor-item-type/model/MetaSensorItemType';

export interface MetaSensorDisplayItem {
    id?: number;
    key?: string;
    displayName?: string;
    description?: string;
    crawler?: MetaCrawler;
    unit?: MetaSensorItemUnit;
    createDate?: Date;
    default?: boolean;
    itemType?: MetaSensorItemType;
}
