import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { MetaSensorDisplayItem } from '../../model/MetaSensorDisplayItem';


export interface State {
  error: RPCClientError | null;
  pending: boolean;
  list: MetaSensorDisplayItem[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  list: null,
};
