import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NoAuthProbeStoreModule } from './noauth-probe-store.module';
import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { PrimeNGModules } from '../commons/prime-ng/prime-ng.module';

@NgModule({
  imports: [
    CommonModule,
    NoAuthProbeStoreModule,
    PrimeNGModules
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ]
})
export class NoauthModule { }
