import { Domain } from 'packages/domain/model';
import { Member } from 'packages/member/model';
import { Infra } from 'packages/infra/model';
import { MetaProbeStatus } from 'packages/meta/probe-status/model/MetaProbeStatus';

export interface Probe {
  id?: number;
  status?: MetaProbeStatus; // INITIAL / NORMAL
  description?: string;
  createDate?: Date;
  domain?: Domain;
  probeKey?: string;
  encryptionKey?: string;
  displayName?: string;
  cidr?: string;
  authorizeDate?: Date;
  authorizeMember?: Member;
  // host?: InfraHost;
  targets?: Infra[];
}
