import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { COMPONENTS } from './component';
import { ProbeStoreModule } from './probe-store.module';
import { SERVICES } from './service';
import { PrimeNGModules } from '../commons/prime-ng/prime-ng.module';
import { FormsModule } from '@angular/forms';
import { DiscoveryModule } from 'packages/discovery/discovery.module';
import { KeyValueModule } from 'app/commons/component/key-value/key-value.module';

@NgModule({
  imports: [
    CommonModule,
    PrimeNGModules,
    ProbeStoreModule,
    FormsModule,
    DiscoveryModule,
    KeyValueModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ]
})
export class ProbeModule { }
