import { Component, OnInit, Input } from '@angular/core';
import { Router } from '@angular/router';
import { MetaCrawler } from 'packages/meta/crawler/model/MetaCrawler';
import { MetaSensorDisplayItem } from '../../../../meta/sensor-display-item/model/MetaSensorDisplayItem';
import { Target } from 'packages/target/model';


@Component({
  selector: 'of-sensor-setting-etc',
  templateUrl: './setting-etc.component.html',
})
export class SettingETCComponent implements OnInit {

  @Input() selectedTarget: Target;
  @Input() selectedCrawler: MetaCrawler;
  @Input() selectedItems: MetaSensorDisplayItem[];

  intervals = [
    '600 sec',
    '400 sec',
    '200 sec',
  ];


  constructor(
    private router: Router,
  ) { }

  ngOnInit() {
  }

}
