
import { Infra } from 'packages/infra/model';
import { MetaCrawler } from 'packages/meta/crawler/model/MetaCrawler';
import { MetaSensorDisplayItem } from 'packages/meta/sensor-display-item/model/MetaSensorDisplayItem';

export interface SensorRegistInfo {
  sensorItemMap: Map<number, Array<MetaSensorDisplayItem>>;
  crawler: MetaCrawler;
  // targetId: number;
  interval: number;
  // type: string;
  infra: Infra;
  crawlerAuth: string;
}
