import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { Page } from 'app/commons/model';
import { Sensor } from '../../model';

export interface State {
  error: RPCClientError | null;
  pending: boolean;
  sensor: Sensor | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  sensor: null,
};
