import { RPCClientError } from '@loafer/ng-rpc/protocol';

import { Target } from '../../model';

export interface State {
  error: RPCClientError | null;
  pending: boolean;
  targets: Target[] | null;
}

export const initialState: State = {
  error: null,
  pending: false,
  targets: null,
};
